Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.javaops
Class JavaOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable2
          com.singularsys.jep.standard.StandardOperatorTable2
              com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
                  com.singularsys.jep.misc.javaops.JavaOperatorTable

All Implemented Interfaces:
  JepComponent, OperatorTableI, java.io.Serializable

    public class JavaOperatorTable

extends BitwiseOperatorTable

An operator table which supports most of the operators which appear in Java. Includes ++x, x++, a?b:c, x+=y etc. and bitwise operators.

Author:
  Richard Morris
See Also:
  Serialized Form

Nested Class Summary
`static class` | `JavaOperatorTable.JavaOperators`

Nested classes/interfaces inherited from class com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
`BitwiseOperatorTable.BitwiseOperators`

Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2
`OperatorTable2.BasicOperators, OperatorTable2.OperatorKey, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

Constructor Summary
`JavaOperatorTable()` A JavaOperatorTable with power represented as ** and xor as ^.
`JavaOperatorTable(OperatorTable2 oldTable, java.lang.String powerSymbol, java.lang.String xorSymbol)`
`JavaOperatorTable(java.lang.String powerSymbol)` A JavaOperatorTable with xor represented as ^ and power as the argument.
`JavaOperatorTable(java.lang.String powerSymbol, java.lang.String xorSymbol)` A JavaOperatorTable with power and xor represented by the arguments

Method Summary
`protected void` | `addJavaOps()`
`Operator` | `getAndEquals()`
`Operator` | `getDivideEquals()`
`Operator` | `getLShiftEquals()`
`Operator` | `getMinusEquals()`
`Operator` | `getModEquals()`
`Operator` | `getOrEquals()`
`Operator` | `getPlusEquals()`
`Operator` | `getPostDec()`
`Operator` | `getPostInc()`
`Operator` | `getPreDec()`
`Operator` | `getPreInc()`
`Operator` | `getRShiftEquals()`
`TernaryOperator` | `getTernCond()`
`Operator` | `getTimesEquals()`
`Operator` | `getURShiftEquals()`
`Operator` | `getXOrEquals()`
`protected void` | `setJavaPfmcs()`

Methods inherited from class com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
`addBitOperators, getBitAnd, getBitComp, getBitOr, getBitXor, getLShift, getRShift, getURShift, setBitPfmcs`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable2
`init, setBasicPfmcs, setPsudoPfmcs, setSpecialPfmcs`

Methods inherited from class com.singularsys.jep.OperatorTable2
`addOperator, addOperator, appendOperator, entrySet, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getKey, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaOperatorTable

    public JavaOperatorTable()

  A JavaOperatorTable with power represented as ** and xor as ^.

### JavaOperatorTable

    public JavaOperatorTable(java.lang.String powerSymbol)

  A JavaOperatorTable with xor represented as ^ and power as the argument.

  Parameters:
    `powerSymbol` - sequence used to represent power.

### JavaOperatorTable

    public JavaOperatorTable(java.lang.String powerSymbol,
                             java.lang.String xorSymbol)

  A JavaOperatorTable with power and xor represented by the arguments

  Parameters:
    `powerSymbol` - string used to represent power.
    `xorSymbol` - string used to represent xor.

### JavaOperatorTable

    public JavaOperatorTable(OperatorTable2 oldTable,
                             java.lang.String powerSymbol,
                             java.lang.String xorSymbol)

Parameters:
  `oldTable` -
  `powerSymbol` -
  `xorSymbol` -

Method Detail

### addJavaOps

    protected void addJavaOps()

### setJavaPfmcs

    protected void setJavaPfmcs()

### getPreInc

    public Operator getPreInc()

### getPreDec

    public Operator getPreDec()

### getPostInc

    public Operator getPostInc()

### getPostDec

    public Operator getPostDec()

### getTernCond

    public TernaryOperator getTernCond()

### getPlusEquals

    public Operator getPlusEquals()

### getMinusEquals

    public Operator getMinusEquals()

### getTimesEquals

    public Operator getTimesEquals()

### getDivideEquals

    public Operator getDivideEquals()

### getModEquals

    public Operator getModEquals()

### getAndEquals

    public Operator getAndEquals()

### getOrEquals

    public Operator getOrEquals()

### getXOrEquals

    public Operator getXOrEquals()

### getLShiftEquals

    public Operator getLShiftEquals()

### getRShiftEquals

    public Operator getRShiftEquals()

### getURShiftEquals

    public Operator getURShiftEquals()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep